/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { BuiltInFunctionBase } from "./BuiltInFunctionBase";
import { ExcelCalcValue } from "./ExcelCalcValue";
import { markType } from "igniteui-angular-core";
/**
 * @hidden
 */
var UltraCalcFunctionDelta = /** @class */ (function (_super) {
    tslib_1.__extends(UltraCalcFunctionDelta, _super);
    function UltraCalcFunctionDelta() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UltraCalcFunctionDelta.prototype.evaluate = function (a, b) {
        var c;
        var d;
        if (b == 2) {
            c = a.pop();
            if (c.isError) {
                return new ExcelCalcValue(c.toErrorValue());
            }
            d = c._toDouble3();
        }
        else {
            d = 0;
        }
        c = a.pop();
        if (c.isError) {
            return new ExcelCalcValue(c.toErrorValue());
        }
        var e = c._toDouble3();
        var f = (e == d) ? 1 : 0;
        return new ExcelCalcValue(f);
    };
    UltraCalcFunctionDelta.prototype.get_name = function () {
        return "delta";
    };
    Object.defineProperty(UltraCalcFunctionDelta.prototype, "name", {
        get: function () {
            return this.get_name();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionDelta.prototype.get_minArgs = function () {
        return 1;
    };
    Object.defineProperty(UltraCalcFunctionDelta.prototype, "minArgs", {
        get: function () {
            return this.get_minArgs();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionDelta.prototype.get_maxArgs = function () {
        return 2;
    };
    Object.defineProperty(UltraCalcFunctionDelta.prototype, "maxArgs", {
        get: function () {
            return this.get_maxArgs();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionDelta.prototype.doesParameterAllowIntermediateResultArray = function (a, b) {
        return (b == false);
    };
    UltraCalcFunctionDelta.$t = markType(UltraCalcFunctionDelta, 'UltraCalcFunctionDelta', BuiltInFunctionBase.$);
    return UltraCalcFunctionDelta;
}(BuiltInFunctionBase));
export { UltraCalcFunctionDelta };
//# sourceMappingURL=UltraCalcFunctionDelta.js.map