import { BuiltInFunctionBase } from "./BuiltInFunctionBase";
import { ExcelCalcValue } from "./ExcelCalcValue";
import { ExcelCalcNumberStack } from "./ExcelCalcNumberStack";
import { ExcelCalcErrorValue } from "./ExcelCalcErrorValue";
import { Type } from "igniteui-angular-core";
import { CultureInfo } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class UltraCalcFunctionXBase2Dec extends BuiltInFunctionBase {
    static $t: Type;
    protected evaluate(a: ExcelCalcNumberStack, b: number): ExcelCalcValue;
    abstract readonly _ao: number;
    abstract readonly _an: number;
    abstract readonly _ak: number;
    abstract readonly _am: number;
    protected get_minArgs(): number;
    readonly minArgs: number;
    protected get_maxArgs(): number;
    readonly maxArgs: number;
    static _al(a: CultureInfo, b: string, c: number, d: number, e: number, f: ExcelCalcErrorValue): {
        ret: number;
        p5: ExcelCalcErrorValue;
    };
    doesParameterAllowIntermediateResultArray(a: number, b: boolean): boolean;
}
