/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { BuiltInFunctionBase } from "./BuiltInFunctionBase";
import { ExcelCalcValue } from "./ExcelCalcValue";
import { markType } from "igniteui-angular-core";
import { stringEquals1 } from "igniteui-angular-core";
/**
 * @hidden
 */
var UltraCalcFunctionExact = /** @class */ (function (_super) {
    tslib_1.__extends(UltraCalcFunctionExact, _super);
    function UltraCalcFunctionExact() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    UltraCalcFunctionExact.prototype.evaluate = function (a, b) {
        var c = a.pop();
        var d = a.pop();
        if (d.isError) {
            return new ExcelCalcValue(d.toErrorValue());
        }
        if (c.isError) {
            return new ExcelCalcValue(c.toErrorValue());
        }
        var e;
        if (d.isString && c.isString) {
            e = stringEquals1(d.toString(), c.toString(), 0);
        }
        else {
            e = d.isSameValue(c);
        }
        return new ExcelCalcValue(e);
    };
    UltraCalcFunctionExact.prototype.get_name = function () {
        return "exact";
    };
    Object.defineProperty(UltraCalcFunctionExact.prototype, "name", {
        get: function () {
            return this.get_name();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionExact.prototype.get_minArgs = function () {
        return 2;
    };
    Object.defineProperty(UltraCalcFunctionExact.prototype, "minArgs", {
        get: function () {
            return this.get_minArgs();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionExact.prototype.get_maxArgs = function () {
        return 2;
    };
    Object.defineProperty(UltraCalcFunctionExact.prototype, "maxArgs", {
        get: function () {
            return this.get_maxArgs();
        },
        enumerable: true,
        configurable: true
    });
    UltraCalcFunctionExact.$t = markType(UltraCalcFunctionExact, 'UltraCalcFunctionExact', BuiltInFunctionBase.$);
    return UltraCalcFunctionExact;
}(BuiltInFunctionBase));
export { UltraCalcFunctionExact };
//# sourceMappingURL=UltraCalcFunctionExact.js.map